IF OBJECT_ID('dbo.vw_fco_integrada_res_sal') IS NOT NULL
    DROP VIEW dbo.vw_fco_integrada_res_sal
GO
CREATE VIEW dbo.vw_fco_integrada_res_sal
AS    
SELECT     
    a.compania, a.anio, a.mes, a.sucursal, a.tipo_planilla, 
    a.cod_EPS,   
    IBC_EPS = isnull(SUM(a.IBC_EPS), 0),
    aporte_EPS = isnull(SUM(a.aporte_EPS), 0),
    UPC_adicional = isnull(SUM(a.UPC_adicional), 0),
    nro_aut_IGE = 
    (SELECT ts.nro_aut_IGE FROM fco_integrada_rt04 ts WHERE ts.compania = a.compania AND ts.anio = a.anio AND ts.mes = a.mes AND ts.sucursal = a.sucursal AND ts.tipo_planilla = a.tipo_planilla AND ts.cod_EPS = a.cod_EPS), 
    vlr_aut_IGE = 
    isnull((SELECT ts.suma_aut_IGE FROM fco_integrada_rt04 ts WHERE ts.compania = a.compania AND ts.anio = a.anio AND ts.mes = a.mes AND ts.sucursal = a.sucursal AND ts.tipo_planilla = a.tipo_planilla AND ts.cod_EPS = a.cod_EPS), 0),
    nro_aut_LMA = 
    (SELECT ts.nro_aut_LMA FROM fco_integrada_rt04 ts WHERE ts.compania = a.compania AND ts.anio = a.anio AND ts.mes = a.mes AND ts.sucursal = a.sucursal AND ts.tipo_planilla = a.tipo_planilla AND ts.cod_EPS = a.cod_EPS),   
    vlr_aut_LMA = 
    isnull((SELECT ts.suma_aut_LMA FROM fco_integrada_rt04 ts WHERE ts.compania = a.compania AND ts.anio = a.anio AND ts.mes = a.mes AND ts.sucursal = a.sucursal AND ts.tipo_planilla = a.tipo_planilla AND ts.cod_EPS = a.cod_EPS), 0),
    
    (SELECT eps.descripcion FROM vw_fco_administradoras eps     
     WHERE eps.compania = a.compania AND eps.tipo = 'EPS'     
       AND eps.codigo = a.cod_EPS) AS eps_nombre,    
  
    MAX(suc.descripcion) AS suc_nombre,
    afiliados = COUNT(DISTINCT a.trabajador)
FROM fco_integrada_det a    
LEFT JOIN vw_fco_sucursales suc     
ON suc.compania = a.compania AND suc.sucursal = a.sucursal    
WHERE aporte_EPS + aporte_AFP + aporte_CCF + aporte_ARP <> 0    
GROUP BY a.compania, a.anio, a.mes, a.sucursal, a.tipo_planilla, a.cod_EPS
GO
GRANT SELECT ON dbo.vw_fco_integrada_res_sal TO PUBLIC
GO
